Bug 834853 - engine's log should rotate every 10M, not 1M
engine's log should rotate every 10M, not 1M
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Yair Zaslavsky
Yaniv Kaul
infra integration
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 05:46 EDT by Yaniv Kaul
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version: si9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:03:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-06-24 05:46:52 EDT
Description of problem:
It appears that the log rotate is happening every 1M, which is too low for diagnosing issues. See /etc/ovirt-engine/engine-service.xml:

<subsystem xmlns="urn:jboss:domain:logging:1.1">
            <size-rotating-file-handler name="SERVER">
                <formatter>
                    <pattern-formatter pattern="%d %-5p [%c] (%t) %s%E%n"/>
                </formatter>
                <file path="/var/log/ovirt-engine/server.log"/>
                <rotate-size value="1M"/>
                <max-backup-index value="30"/>
                <append value="true"/>
            </size-rotating-file-handler>
            <size-rotating-file-handler name="ENGINE" autoflush="true">
                <level name="INFO"/>
                <formatter>
                    <pattern-formatter pattern="%d %-5p [%c] (%t) %s%E%n"/>
                </formatter>
                <file path="/var/log/ovirt-engine/engine.log"/>
                <rotate-size value="1M"/>
                <max-backup-index value="30"/>
                <append value="true"/>
            </size-rotating-file-handler>

Version-Release number of selected component (if applicable):
rhevm-3.1.0-2.el6ev.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Yair Zaslavsky 2012-06-25 08:25:35 EDT
Suggested patch -
http://gerrit.ovirt.org/#/c/5673/
Comment 4 Yaniv Kaul 2012-07-08 03:34:06 EDT
SI9.1 - fixed, conf files show 10M.

Note You need to log in before you can comment on or make changes to this bug.